Subject: libssh versions

From: Edgar Fuß <[email-masked]>
Date: Tue, 26 May 2020 11:32:57 +0200

> I believe the libssh 0.9.3 being the culprit.
[...]
> So from my POV it would help if you could try using an older version
> of x2goclient (with an older libssh) to see if it works with that.
OK, I tried this. X2Go switched (at least for the MS-Win build) from 0.7.4(!) to 0.9.3 on 2020-02-06, and indeed, the build from 2020-01-29 (the last one before the switch) works for me!

Could someone build x2goclient with libssh 0.9.4 so I could test that?

> PS: I suspect this happens when the other side has a quite old openssh
> running, in my case it's OpenSSH 5.8, for you it's 5.9... So If you
> can upgrade the ssh server this might also solve the problem
As stated in the original bug report: No, unfortunately, it's not the OpenSSH version that matters (I went into some lengths updating that, but it didn't help), but the base system version. I cannot easily update the login servers to NetBSD 8.